GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_SET-INSTANCE-TEMPLATE(1)

NAME

gcloud compute instance-groups managed set-instance-template - set instance template for managed instance group

SYNOPSIS

gcloud compute instance-groups managed set-instance-template NAME --template=TEMPLATE [--region=REGION | --zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed set-instance-template updates the instance template for an existing managed instance group. The new template won't apply to existing instances in the group unless they are recreated using the recreate-instances command. But the new template does apply to all new instances added to the managed instance group.

POSITIONAL ARGUMENTS

    NAME
        The name of the managed instance group.

REQUIRED FLAGS

    --template=TEMPLATE
        Compute Engine instance template resource to be used.

OPTIONAL FLAGS
At most one of these may be specified:

    --region=REGION
        The region of the managed instance group to operate on. If not specified, you will be prompted to select a region. A list of regions can be fetched by running:
        $ gcloud compute regions list
    Overrides the default compute/region property value for this command invocation.

    --zone=ZONE
        The zone of the managed instance group to operate on. If not specified, you will be prompted to select a zone. A list of zones can be fetched by running:
        $ gcloud compute zones list
    Overrides the default compute/zone property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.